import { Pipe, PipeTransform } from '@angular/core';
import { TermCode } from '@app/core/models/termcode';

@Pipe({
  name: 'getTermDescription',
})
export class GetTermDescriptionPipe implements PipeTransform {
  transform(termCode: string | TermCode): string {
    if (typeof termCode === 'string') {
      termCode = new TermCode(termCode);
    }

    return termCode.description;
  }
}
